<?php

/*
  Plugin Name: Tickera - one ticket per registered user
  Plugin URI: https://tickera.com/
  Description: Allow only one ticket purchase per registered user
  Author: Tickera.com
  Author URI: https://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/

  Copyright 2016 Tickera (https://tickera.com/)
 */

add_action('tc_cart_before_error_pass_check', 'custom_tc_one_ticker_per_registered_user_before_cart_error_check', 0, 2);

function custom_tc_one_ticker_per_registered_user_before_cart_error_check($cart_error_number_orig, $tc_cart_errors_orig) {
    global $tc, $tc_cart_errors, $cart_error_number, $wpdb;

    if (is_user_logged_in() && !current_user_can('manage_options')) {

        $user_orders = TC_Orders::get_user_orders();

        if (count($user_orders) > 0) {
            $cart_error_number++;
            $tc_cart_errors .= '<li>' . __('Only one ticket order is allowed per user.', 'tc') . '</li>';
        } else {
            $cart_contents = $tc->get_cart_cookie();
            $i = 0;
            foreach ($cart_contents as $ticket_type => $ordered_count) {
                if ($ordered_count > 1) {
                    $cart_error_number++;
                    $tc_cart_errors .= '<li>' . __('Only one ticket order is allowed per user.', 'tc') . '</li>';
                    break;
                }
                $i++;
            }

            if ($i > 1) {
                $cart_error_number++;
                $tc_cart_errors .= '<li>' . __('Only one ticket order is allowed per user.', 'tc') . '</li>';
            }
        }
    }
}
